package com.goafanti.common.model;

import java.io.Serializable;

/**
 * 订单特批分类表
 * @TableName t_order_approval
 */
public class TOrderApproval implements Serializable {
    /**
     * 
     */
    private Integer id;

    /**
     * 订单编号
     */
    private String orderNo;

    /**
     * 特批类型 0其他，1=无前期款，2=暂无合同款，3=含高风险条款，4=新产品首单，5=通过率低于80%，6=3万以下会员，7=认证首期5K以下
     */
    private Integer type;

    /**
     * 特批其他说明
     */
    private String typeExplain;

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    public Integer getId() {
        return id;
    }

    /**
     * 
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 订单编号
     */
    public String getOrderNo() {
        return orderNo;
    }

    /**
     * 订单编号
     */
    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    /**
     * 特批类型 0其他，1=无前期款，2=暂无合同款，3=含高风险条款，4=新产品首单，5=通过率低于80%，6=3万以下会员，7=认证首期5K以下
     */
    public Integer getType() {
        return type;
    }

    /**
     * 特批类型 0其他，1=无前期款，2=暂无合同款，3=含高风险条款，4=新产品首单，5=通过率低于80%，6=3万以下会员，7=认证首期5K以下
     */
    public void setType(Integer type) {
        this.type = type;
    }

    /**
     * 特批其他说明
     */
    public String getTypeExplain() {
        return typeExplain;
    }

    /**
     * 特批其他说明
     */
    public void setTypeExplain(String typeExplain) {
        this.typeExplain = typeExplain;
    }
}